package com.abi.task.common.utils;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * String工具类
 * @author 字符串工具类
 */
public class IStringUtil {

    /**
     * 识别驼峰大写字母的正则
     */
    private static final Pattern HUMP_PATTERN = Pattern.compile("[A-Z]");

    /**
     * 驼峰转下划线
     * @param camelStr
     * @return
     */
    public static String camelToUnderline(String camelStr){
        //PlayGame => play_game
        if(StringUtils.isBlank(camelStr)){
            return camelStr;
        }

        //1-如果首字母是大写则转化为小写
        camelStr = camelStr.substring(0,1).toLowerCase()+camelStr.substring(1);

        //2-将大写字母转化为_x : xxXxx => xx_xxx
        Matcher matcher = HUMP_PATTERN.matcher(camelStr);
        StringBuffer sb = new StringBuffer();
        while (matcher.find()) {
            matcher.appendReplacement(sb, "_" + matcher.group(0).toLowerCase());
        }
        matcher.appendTail(sb);
        String underline = sb.toString();

        return underline;
    }

    /**
     * 下划线转驼峰
     * @param underlineStr
     * @return
     */
    public static String underlineToCamel(String underlineStr){
        if(StringUtils.isBlank(underlineStr)){
            return underlineStr;
        }

        String[] strArr = underlineStr.split("_");
        StringBuffer camelSb = new StringBuffer();

        for(String str:strArr){
            String strLow = str.toLowerCase();
            camelSb.append(strLow.substring(0,1).toUpperCase()+strLow.substring(1));
        }

        return camelSb.substring(0,1).toLowerCase()+camelSb.substring(1);
    }

}
