package com.abi.qms.platform;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.FilterType;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 二维码平台启动类
 *
 * @author AndyTan
 */
@EnableFeignClients(basePackages = {"com.abi"})
@EnableAsync
@SpringBootApplication(scanBasePackages = "com.abi")
@EnableDiscoveryClient
@MapperScan(basePackages = "com.abi.qms.platform.dao.mapper")
public class QrPlatformApplication {
    public static void main(String[] args) {
        SpringApplication.run(QrPlatformApplication.class);
    }
}
