package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.ImportQrDataReq;
import com.abi.qms.platform.service.QrDataService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * 码数据 Controller
 *
 * @author WeiganCai
 * @date 2021-05-11
 */
@Slf4j
@RestController
@Api(tags = "码数据管理")
@RequestMapping("/qrData")
public class QrDataController {
    @Autowired
    private QrDataService qrDataService;

    @ApiOperation("/导入码数据")
    @PostMapping("/importQrData")
    public BaseResponse importQrData(@Validated ImportQrDataReq importQrDataReq) {
        qrDataService.importQrData(importQrDataReq);
        return BaseResponse.create();
    }

}
