package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 码格式 对象 qr_format
 * 
 * @author WeiganCai
 * @date 2021-04-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="码格式对象", description="码格式信息")
public class QrFormat {

    @ApiModelProperty("码格式id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("码格式名称")
    private String name;

    @ApiModelProperty("数据类型")
    private Integer dataType;

    @ApiModelProperty("码变量")
    private String codeVariable;

    @ApiModelProperty("码变量对应的类")
    private String codeVariableBuildClass;

    @ApiModelProperty("码组成简介")
    private String brief;

    @ApiModelProperty("说明")
    private String illustrate;

    @ApiModelProperty("码预览")
    private String previewCode;

    @ApiModelProperty("位数")
    private Integer digit;

    @ApiModelProperty("理论不重复数量")
    private Long maxCount;

    @ApiModelProperty("是否验证唯一性 0-不验证，1-验证")
    private Integer verifyUnique;

    @ApiModelProperty("重复率状态 0-未验证 1-验证中  2-验证通过  3-验证不通过")
    private Integer uniqueStatus;

    @ApiModelProperty("使用状态 0-未使用 1-使用中  2-停用")
    private Integer useStatus;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateBy;

    @ApiModelProperty("是否删除")
    private Integer isDelete;

}
