package com.abi.qms.platform.dao.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 码包 对象 qr_package
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="码包对象", description="码包信息")
public class QrPackage implements Serializable {

	@ApiModelProperty("码包id")
	private Long id;

	@ApiModelProperty("部门id")
	private Long deptId;

	@ApiModelProperty("箱码幅面id")
	private Long boxCodeFormatId;

	@ApiModelProperty("批次号")
	private String batchNumber;

	@ApiModelProperty("码包名称")
	private String name;

	@ApiModelProperty("码数量")
	private Long qrNumber;

	@ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

	@ApiModelProperty("生成状态 0-未生成 1-生成中 2-已生成 3-失败")
	private Integer generateStatus;

	@ApiModelProperty("下载路径")
	private String downloadPath;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "修改人id")
	private Long updateBy;

	@ApiModelProperty("是否删除")
	private Integer isDelete;

}
