package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrFormat;
import com.abi.qms.platform.dao.vo.result.QrFormatVO;
import com.abi.qms.platform.dto.req.ListQrFormatReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 码格式 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public interface QrFormatMapper extends BaseMapper<QrFormat> {

	/**
	 * 分页查询码格式信息
	 */
	IPage<QrFormatVO> listQrFormat(IPage page, ListQrFormatReq param);

	/**
	 * 根据码库id查询与码库关联的，被禁用的码格式
	 * @param qrRepertoryId 码库id
	 */
	 List<String> selectDisabledQrFormat(Long qrRepertoryId);

	/**
	 * 修改使用状态
	 */
	void updateUseStatusByIds(List<Long> ids, Integer useStatus);
}
