package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dto.req.BatchEnableUserReq;
import com.abi.qms.platform.dto.req.ListUserReq;
import com.abi.qms.platform.dto.res.entity.UserInfoResp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface UserInfoMapper extends BaseMapper<UserInfo> {

    IPage<UserInfoResp> selectUserInfoPage(IPage<UserInfo> page, @Param("req") ListUserReq req);

    /**
     * 批量启用/停用用户
     * @param req
     * @return
     */
    int batchEnableUser(BatchEnableUserReq req);
}
