package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author Eurus
 * @date 2021/4/19 19:05
 * @Description: 批量启用/停用用户入参
 */
@Data
@ApiModel
public class BatchEnableUserReq implements Serializable {

    @NotNull(message = "用户id列表为空")
    @ApiModelProperty(value = "用户id列表")
    private List<Long> ids;

    @NotEmpty(message = "启用/停用为空")
    @ApiModelProperty(value = "启用/停用(1:启用 0:停用)")
    private Integer isEnable;
}
