package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 创建角色入参
 */
@Data
@ApiModel
public class CreateRoleReq implements Serializable {

    @NotNull(message = "角色名称为空")
    @ApiModelProperty(value = "角色name")
    private String roleName;

    @NotNull(message = "上级角色为空")
    @ApiModelProperty(value = "上级角色code")
    private String parentRoleCode;

    @ApiModelProperty(value = "角色描述")
    private String roleDesc;

    @ApiModelProperty(value = "资源列表")
    private List<String> resourceCodeList;

}
