package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 码包查询分页入参
 *
 * @author WeiganCai
 * @date: 2021-04-28
 */
@Data
@ApiModel
public class ListQrPackageReq extends PageReq implements Serializable {

	@ApiModelProperty("批次号")
	private String batchNumber;

	@ApiModelProperty("码库类型")
	private Integer qrRepertoryType;

	@ApiModelProperty("部门名称")
	private String deptName;

	@ApiModelProperty("箱码幅面/码库名称")
	private String boxCodeFormatOrQrRepertoryName;

	@ApiModelProperty("码包名称")
	private String name;

	@ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

	@ApiModelProperty("生成状态 0-未生成 1-生成中 2-已生成 3-失败")
	private Integer generateStatus;

}
