package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 码库查询分页入参
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Data
@ApiModel
public class ListQrRepertoryReq extends PageReq implements Serializable {

	@ApiModelProperty("部门名称")
	private String deptName;

	@ApiModelProperty("码库名称")
	private String name;

	@ApiModelProperty("码库类型 1-系统生成 2-文本导入 3-FTP接入")
	private Integer type;

	@ApiModelProperty("初始数量")
	private Long initialNumber;

	@ApiModelProperty("码库状态 10-待生成 11-自动生成 20-待导入 21-已导入 40-停用")
	private Integer status;

	@ApiModelProperty("修改人名称")
	private String updateByName;

	@ApiModelProperty(value = "修改时间-开始时间")
	private String beginUpdateTime;

	@ApiModelProperty(value = "修改时间-结束时间")
	private String endUpdateTime;

}
