package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * 码包新增修改入参
 *
 * @author WeiganCai
 * @date: 2021-04-28
 */
@Data
@ApiModel
public class SaveQrPackageReq implements Serializable {

	@ApiModelProperty("码包id")
	private Long id;

	@NotNull(message = "部门为空")
	@ApiModelProperty("部门id")
	private Long deptId;

	@NotNull(message = "箱码幅面为空")
	@ApiModelProperty("箱码幅面id")
	private Long boxCodeFormatId;

	@NotNull(message = "码包名称为空")
	@Pattern(regexp = "^[a-zA-Z-z0-9\\u4e00-\\u9fa5]{1,20}$", message = "码包名称限制20字内的汉字or字母or数字")
	@ApiModelProperty("码包名称")
	private String name;

	@NotNull(message = "码数量为空")
	@ApiModelProperty("码数量")
	private Long qrNumber;

}
