package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 码库新增修改入参
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Data
@ApiModel
public class SaveQrRepertoryReq implements Serializable {

	@ApiModelProperty("码库id")
	private Long id;

	@NotNull(message = "部门为空")
	@ApiModelProperty("部门id")
	private Long deptId;

	@NotNull(message = "码库名称为空")
	@Pattern(regexp = "^[a-zA-Z-z0-9\\u4e00-\\u9fa5]{1,20}$", message = "码库名称限制20字内的汉字or字母or数字")
	@ApiModelProperty("码库名称")
	private String name;

	@NotNull(message = "码库类型为空")
	@ApiModelProperty("码库类型 1-系统生成 2-文本导入 3-FTP接入")
	private Integer type;

	@ApiModelProperty("初始数量")
	private Long initialNumber;

	@NotEmpty(message = "码数据组成为空")
	@Size(max = 10, message = "码数据组成超过10列")
	@Valid
	@ApiModelProperty("码库的列")
	private List<SaveQrRepertoryColumnReq> qrRepertoryColumnList;

}
