package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 获取登录用户需要的页面以及按钮权限出参
 */
@Data
@ApiModel
public class ListLoginUserResourceRes implements Serializable {

  @ApiModelProperty("菜单列表")
  private List<MenuBean> menuBeanList;

  @ApiModelProperty("按钮列表")
  private List<BtnBean> btnBeanList;

    /**
     * 菜单bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListLoginUserResourceRes_XxxBean")
    public static class MenuBean implements Serializable {

      @ApiModelProperty(value = "资源code")
      private String resourceCode;

      @ApiModelProperty(value = "资源名称")
      private String resourceName;

      @ApiModelProperty(value = "资源内容")
      private String content;

      @ApiModelProperty("子资源列表 当返回要求是树形结构时，才会返回")
      private List<MenuBean> resourceBeanList;

    }

  /**
   * 按钮bean
   */
  @Data
  @NoArgsConstructor
  @AllArgsConstructor
  @ToString
  @ApiModel(value = "ListLoginUserResourceRes_XxxBean")
  public static class BtnBean implements Serializable {

    @ApiModelProperty(value = "资源code")
    private String resourceCode;

    @ApiModelProperty(value = "资源名称")
    private String resourceName;

    @ApiModelProperty(value = "资源内容")
    private String content;

  }


}
