package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码库查询分页出参
 *
 * @author WeiganCai
 * @date: 2021-04-25
 */
@Data
@ApiModel
public class ListQrRepertoryRes extends PageResp implements Serializable {

	@ApiModelProperty("码库列表")
	private List<QrRepertoryBean> qrRepertoryBeanList;

	/**
	 * 码库Bean
	 */
	@Data
	@NoArgsConstructor
	@AllArgsConstructor
	@ToString
	@ApiModel(value = "ListQrRepertoryRes_QrRepertoryBean")
	public static class QrRepertoryBean {

		@ApiModelProperty("码库id")
		private Long id;

		@ApiModelProperty("部门名称")
		private String deptName;

		@ApiModelProperty("码库名称")
		private String name;

		@ApiModelProperty("码库类型 1-系统生成 2-文本导入 3-FTP接入")
		private Integer type;

		@ApiModelProperty("初始数量")
		private Long initialNumber;

		@ApiModelProperty("码库状态 10-待生成 11-自动生成 20-待导入 21-已导入 40-停用")
		private Integer status;

		@ApiModelProperty("码数据组成")
		private String dataComposition;

		@ApiModelProperty(value = "创建时间")
		@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
		private LocalDateTime createTime;

		@ApiModelProperty(value = "创建人id")
		private Long createBy;

		@ApiModelProperty(value = "修改时间")
		@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
		private LocalDateTime updateTime;

		@ApiModelProperty(value = "修改人id")
		private Long updateBy;

		@ApiModelProperty(value = "修改人名称")
		private String updateByName;

	}
}
