package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询用户列表出参
 */
@Data
@ApiModel
public class ListUserRes extends PageResp implements Serializable {

  @ApiModelProperty("用户bean列表")
  private List<UserInfoBean> userInfoBeanList;

  /**
   * 部门用户bean
   */
  @Data
  @NoArgsConstructor
  @AllArgsConstructor
  @ToString
  @ApiModel(value = "ListUserRes_UserInfoBean")
  public static class UserInfoBean implements Serializable {
    @ApiModelProperty(value = "用户id")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "工号")
    private String employeeNo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "部门")
    private String deptName;

    @ApiModelProperty(value = "供应商")
    private String factoryName;

    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "是否启用")
    private Integer isEnable;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
  }
}
