package com.abi.qms.platform.infrastructure.qr.build.parent;
import java.util.Random;
import java.util.UUID;

/**
 * 随机数方式-构建码
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public abstract class RandomBuildCode extends BuildCode {

    /**
     * 生成指定位数的随机数字
     * 该方法是通过Math.random()获取[0.0, 1.0)的随机数，再乘以需要的位数。
     * 这里用乘9，再加1，而没有用乘10的方式，是为了防止生成的随机数比较小，导致乘以位数后小于指定位数
     * @param length 长度
     * @return
     */
    public String getRandomNum(int length){
        if (length <= 0) {
            return "0";
        }
        String randomNum = String.valueOf((long) ((Math.random() * 9 + 1) * (Math.pow(10, length - 1))));
        return randomNum;
    }

    /**
     * 生成指定位数随机数字和字母
     * @param length 长度
     * @return
     */
    public String getRandomStr(int length) {
        StringBuffer randomStr = new StringBuffer();
        Random random = new Random();        
        for(int i = 0; i < length; i++) {
            // 随机生成数字或字母
            boolean isChar = random.nextInt(2) % 2 == 0;
            if(isChar) {
                // 随机生成大写或小写字母
                int temp = random.nextInt(2) % 2 == 0 ? 65 : 97;
                randomStr.append((char) (random.nextInt(26) + temp));
            } else {
                randomStr.append(random.nextInt(10));
            }
        }  
        return randomStr.toString();
    }
}
