package com.abi.qms.platform.infrastructure.qr.build.parent;

import java.util.Calendar;
import java.util.Stack;

/**
 * 时间方式-构建码
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public abstract class TimeBuildCode extends BuildCode {
    private static final char[] CHARSET = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ".toCharArray();
    
    private Calendar calendar;
    
    public TimeBuildCode() {
        super();
        this.calendar = Calendar.getInstance();
    }

    public Calendar getCalendar() {
        return calendar;
    }

    public void setCalendar(Calendar calendar) {
        this.calendar = calendar;
    }

    /**
     * 10进制转换62进制
     * @param number 要转换的数字
     * @param length 不足length长度的话高位补0
     * @param flag 是否需要补0
     * @return
     */
    public String _10_to_62(long number, int length, boolean flag) {
        // 进制转换
        long rest = number;
        Stack<Character> stack = new Stack<>();
        StringBuffer result = new StringBuffer();
        while (rest != 0) {
            stack.add(CHARSET[new Long((rest - (rest / 62) * 62)).intValue()]);
            rest = rest / 62;
        }
        for (; !stack.isEmpty();) {
            result.append(stack.pop());
        }

        // 补0
        int resultLength = result.length();
        StringBuilder temp = new StringBuilder();
        if(flag){
            for (int i = 0; i < length - resultLength; i++) {
                temp.append('0');
            }
        }
        return temp.append(result).toString();
    }
    
}