package com.abi.qms.platform.infrastructure.util;

import com.abi.qms.platform.dao.entity.UserInfo;
import org.springframework.stereotype.Component;

/**
 * 用户工具类
 *
 * @author AndyTan
 */
@Component
public class UserUtil {

    private static final InheritableThreadLocal<UserInfo> USER_THREAD_LOCAL = new InheritableThreadLocal();

    public static void setUser(UserInfo userInfo) {
        USER_THREAD_LOCAL.set(userInfo);
    }

    public static UserInfo getUser() {
        return USER_THREAD_LOCAL.get();
    }

    public static void releaseUser() {
        USER_THREAD_LOCAL.remove();
    }

}
