package com.abi.qms.platform.service;

import com.abi.qms.platform.dao.entity.QrData;
import com.abi.qms.platform.dto.req.ImportQrDataReq;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;

import java.util.List;

/**
 * 码数据 Service接口
 *
 * @author WeiganCai
 * @date: 2021-05-11
 */
public interface QrDataService {
	/**
	 * 根据批次号查询码数量
	 */
	 long selectCountByBatchNumber(String batchNumber) ;

	/**
	 * 根据批次号删除码
	 */
	 void deleteCodeByBatchNumber(String batchNumber);

	/**
	 * 根据批次号查询码
	 */
	 List<QrData> selectCodeByBatch(String batchNumber);

	/**
	 * 批量插入
	 */
	void batchInsert(List<QrData> qrDataList);

	/**
	 * 导入码数据
	 */
	void importQrData(ImportQrDataReq importQrDataReq);

}
