package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetQrFormatDetailRes;
import com.abi.qms.platform.dto.res.ListQrFormatRes;

/**
 * 码格式 Service接口
 *
 * @author WeiganCai
 * @date 2021-04-19
 */
public interface QrFormatService {

	/**
	 * 保存码格式
	 */
	void saveQrFormat(SaveQrFormatReq saveQrFormatReq);

	/**
	 * 码格式查询分页
	 */
	ListQrFormatRes listQrFormat(ListQrFormatReq listQrFormatReq);

	/**
	 * 码格式查询详情
	 */
	GetQrFormatDetailRes getQrFormatDetail(GetQrFormatDetailReq getQrFormatDetailReq);

	/**
	 * 码格式启用
	 */
	void enableQrFormat(EnableQrFormatReq enableQrFormatReq);

	/**
	 * 码格式禁用
	 */
	void disableQrFormat(DisableQrFormatReq disableQrFormatReq);

	/**
	 * 删除码格式
	 */
	void deleteQrFormat(DeleteQrFormatReq deleteQrFormatReq);

}
