package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.QrPackage;
import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetQrPackageDetailRes;
import com.abi.qms.platform.dto.res.ListQrPackageRes;

import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;

/**
 * 码包 Service接口
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
public interface QrPackageService {

	/**
	 * 保存码包
	 */
	void saveQrPackage(SaveQrPackageReq saveQrPackageReq);

	/**
	 * 码包分页查询
	 */
	ListQrPackageRes listQrPackage(ListQrPackageReq listQrPackageReq);

	/**
	 * 码包查询详情
	 */
	GetQrPackageDetailRes getQrPackageDetail(GetQrPackageDetailReq getQrPackageDetailReq);

	/**
	 * 删除码包
	 */
	void deleteQrPackage(DeleteQrPackageReq deleteQrPackageReq);

	/**
	 * 审核通过码包
	 */
	void passQrPackage(PassQrPackageReq passQrPackageReq);

	/**
	 * 审核拒绝码包
	 */
	void refuseQrPackage(RefuseQrPackageReq refuseQrPackageReq);

	/**
	 * 下载码包
	 */
	void downloadQrPackage(DownloadQrPackageReq downloadQrPackageReq, HttpServletResponse response);

	/**
	 * 删除生成的临时文件，上传阿里云，并更新码包的下载路径
	 * @param txtFile txt文件
	 * @param zipFile 压缩文件
	 */
	void delFileAndUpdatePath(File txtFile, File zipFile, Long qrPackageId);

	/**
	 * 码生成失败回滚
	 */
	void failedRollback(QrPackage qrPackage);
}
