package com.abi.qms.platform;
import java.time.LocalDateTime;
import java.util.Arrays;

import com.abi.task.common.tablestore.TableStorePlusUtils;
import com.abi.task.common.tablestore.common.TableStoreEntity;
import com.abi.task.common.tablestore.entity.DemoEntity;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
@Slf4j
public class TableStorePlusTest {

    @Autowired
    private TableStorePlusUtils tableStorePlusUtils;

    @Test
    public void testAddRow(){
        DemoEntity entity = new DemoEntity();
        entity.setQrCode("10293827182717");
        entity.setActName("活动1");
        entity.setPayAmount(990.12);
        entity.setCurrentTime(LocalDateTime.now());
        entity.setUserId(10001L);
        entity.setActiveCount(33);
        entity.setIsDog(false);

        DemoEntity entity2 = new DemoEntity();
        entity2.setQrCode("10293827182716");
        entity2.setActName("活动2");
        entity2.setPayAmount(990.12);
        entity2.setCurrentTime(LocalDateTime.now());
        entity2.setUserId(10001L);
        entity2.setActiveCount(33);
        entity2.setIsDog(false);

        tableStorePlusUtils.putRow(Arrays.asList(entity,entity2));
    }

    @Test
    public void testGetRow(){
        DemoEntity entity = tableStorePlusUtils.getRow(DemoEntity.class, "10293827182717");
        log.info(entity.toString());
    }

    @Test
    public void testDeleteRow(){
        tableStorePlusUtils.deleteRow(DemoEntity.class, "10293827182717");
    }


}
